Package: org.codehaus.groovy.vmplugin.v7

## [Java] Class Java7

- org.codehaus.groovy.vmplugin.v7.Java7

- Java 7 based functions. Currently just a stub but you can add your own methods to your own version and place it on the classpath ahead of this one.

  Authors:
    Jochen Theodorou

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getInvokeSpecialHandle(Method method, Object receiver)`
    `` | `int` | `getVersion()`
    `` | `void` | `invalidateCallSites()`
    `` | `Object` | `invokeHandle(Object handle, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Java6` | `getVersion`
    `class Java5` | `configureAnnotation, configureClassNode, getInvokeSpecialHandle, getPluginDefaultGroovyMethods, getPluginStaticGroovyMethods, getVersion, invalidateCallSites, invokeHandle, setAdditionalClassInformation`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @Override public Object getInvokeSpecialHandle(Method method, Object receiver)

    - #### @Override public int getVersion()

    - #### @Override public void invalidateCallSites()

    - #### @Override public Object invokeHandle(Object handle, Object[] args)